Bug 228870 - New API to support CodeStyle's prefix/suffix
New API to support CodeStyle's prefix/suffix
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.4
All All
: P2 (vote)
: 7.4
Assigned To: Ralph Ruijs
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks: 65315 81243 224242
  Show dependency treegraph
 
Reported: 2013-04-23 00:29 UTC by Ralph Ruijs
Modified: 2013-05-02 14:11 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed API change (18.31 KB, patch)
2013-04-23 00:41 UTC, Ralph Ruijs
Details | Diff
Usage of the new API (199.30 KB, patch)
2013-04-23 00:46 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2013-04-23 00:29:53 UTC
Added the utility class, CodeStyleUtils, to compute getter/setter names and add prefix/suffix to names in a way that complies with the rules specified
in CodeStyle.
Comment 1 Ralph Ruijs 2013-04-23 00:41:53 UTC
Created attachment 133686 [details]
Proposed API change
Comment 2 Ralph Ruijs 2013-04-23 00:46:24 UTC
Created attachment 133687 [details]
Usage of the new API

This patch shows the usages from the modules; beans, java.editor, java.source, refactoring.java. It adds support for prefix/suffix in Code Generation, Code Completion, Hints and Refactoring.
Comment 3 Ralph Ruijs 2013-04-23 00:48:56 UTC
Please review the proposed changes.
Comment 4 Ralph Ruijs 2013-04-29 08:59:15 UTC
If there are no comments, I will integrate tomorrow.
Comment 5 Ralph Ruijs 2013-04-30 21:51:20 UTC
Fixed in jet-main 80f139ccdada
Comment 6 Quality Engineering 2013-05-02 14:11:19 UTC
Integrated into 'main-golden', will be available in build *201305021042* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/80f139ccdada
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: #228870 - New API to support CodeStyle's prefix/suffix
#65315 #81243 #224242 - Use CodeStyle's prefix and suffix configuration


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo